# advert_directory.hpp File Reference

`#include <string>`
`#include <saga/saga/util.hpp>`
`#include <saga/saga/base.hpp>`
`#include <saga/saga/call.hpp>`
`#include <saga/saga/types.hpp>`
`#include <saga/saga/object.hpp>`
`#include <saga/saga/session.hpp>`
`#include <saga/saga/detail/attribute.hpp>`
`#include <saga/saga/detail/monitorable.hpp>`
`#include <saga/saga/packages/namespace/namespace_dir.hpp>`
`#include <saga/saga/packages/advert/advert.hpp>`

Go to the source code of this file.

## Namespaces
namespace | saga
namespace | saga::advert
namespace | saga::advert::metrics
## Classes
class | saga::advert::directory
| The directory class represents a directory within a meta data directory with a hierarchical namespace attached. This class inherits all methods from saga::name_space::directoryectory. More...
## Variables
char const *const | saga::advert::metrics::directory_created_entry = "directory.CreatedEntry"
| Brief description here.
char const *const | saga::advert::metrics::directory_modified_entry = "directory.ModifiedEntry"
| Brief description here.
char const *const | saga::advert::metrics::directory_deleted_entry = "directory.DeletedEntry"
| Brief description here.